package modelo;

import java.util.ArrayList;
import java.util.Date;

// <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
// #[regen=yes,id=DCE.B0FCB664-979F-E2B0-0775-6FD06CE205A3]
// </editor-fold> 
public class Imagen extends ElementosTrazas {

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.421FA72A-48C8-24A7-70A8-8D2708DBA582]
    // </editor-fold> 
    private String identificacion;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.ED99B385-6E1F-71B9-8F01-4D247B90A4EB]
    // </editor-fold> 
    private String nombre;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.382AAF30-0BB3-0990-EB88-ABB4844BA445]
    // </editor-fold> 
    private String version;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.BEAC58CA-B3AF-30C0-B485-FE2E6F714E1F]
    // </editor-fold> 
    private Date fecha;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.3E71964C-D115-1665-87A8-452D5485A706]
    // </editor-fold> 
    private ArrayList<Participante> autores;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.E29FBBB1-8578-3CA1-3A2C-53BD3FC9DE10]
    // </editor-fold> 
    private ArrayList<Participante> fuentes;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.E762E755-627D-0D49-924F-1CA6CC8A0696]
    // </editor-fold> 
    private String rutaImagen;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.AD748FB8-578B-7559-E575-ECEEE8263DD5]
    // </editor-fold> 
    private ArrayList<ElementosTrazas> destino;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.37E7B501-40F6-E08F-46E7-7FC12D20B5DB]
    // </editor-fold> 
    private ArrayList<ElementosTrazas> origen;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.BE791EE5-F7EA-05A5-0275-9EFF3AC2DBB2]
    // </editor-fold> 
    private String comentario;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.7189A325-0D1F-51D3-8CD8-B2DD9AC4361D]
    // </editor-fold> 
    public Imagen () {
        fecha = new Date();
        autores = new ArrayList<Participante>();
        fuentes = new ArrayList<Participante>();
        destino = new ArrayList<ElementosTrazas>();
        origen = new ArrayList<ElementosTrazas>();
    }
    

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.6C296163-4257-C016-BDCB-8F5FA88BC278]
    // </editor-fold> 
    public ArrayList<Participante> getAutores () {
        return autores;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.20A8E257-28FC-AD9A-EC51-DF67C8E4319A]
    // </editor-fold> 
    public void setAutores (ArrayList<Participante> val) {
        this.autores = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.D80B4CA9-EDBD-8C12-719B-D28779D54975]
    // </editor-fold> 
    public String getComentario () {
        return comentario;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.8EFE8C6B-B4DD-87E9-44A1-B6D86390AB47]
    // </editor-fold> 
    public void setComentario (String val) {
        this.comentario = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.23057562-2A50-68CC-4881-91B2E8A2D7D3]
    // </editor-fold> 
    public ArrayList<ElementosTrazas> getDestino () {
        return destino;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.EFDE3AB1-BF71-E003-74A6-555ECD57F651]
    // </editor-fold> 
    public void setDestino (ArrayList<ElementosTrazas> val) {
        this.destino = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.BB9BBF0A-AC7C-9DC7-4131-2C2DB20E4FF3]
    // </editor-fold> 
    public Date getFecha () {
        return fecha;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.C34F75D3-474C-85E9-F8DB-96955713A5B4]
    // </editor-fold> 
    public void setFecha (Date val) {
        this.fecha = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.587F0D9A-9C0D-565A-4DC5-3FF8E55E2F63]
    // </editor-fold> 
    public ArrayList<Participante> getFuentes () {
        return fuentes;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.459CB7FF-7AB0-5987-7ECF-39E8C0CBA450]
    // </editor-fold> 
    public void setFuentes (ArrayList<Participante> val) {
        this.fuentes = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.2ED54FBC-D9B1-3D4F-2E8E-96551B268E4F]
    // </editor-fold> 
    public String getIdentificacion () {
        return identificacion;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.67476CE1-46ED-4024-DFDC-D9699DA7FFFF]
    // </editor-fold> 
    public void setIdentificacion (String val) {
        this.identificacion = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.A986416D-FDAF-6621-2390-2925C6FF7A97]
    // </editor-fold> 
    public String getNombre () {
        return nombre;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.EE9D4279-84F3-FA13-18BF-E153CC2354C4]
    // </editor-fold> 
    public void setNombre (String val) {
        this.nombre = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.F0062F27-E89C-E73A-A1AC-960C2DD0D2D2]
    // </editor-fold> 
    public ArrayList<ElementosTrazas> getOrigen () {
        return origen;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.09F5DA69-BE39-497E-C179-0B9BBCF7566B]
    // </editor-fold> 
    public void setOrigen (ArrayList<ElementosTrazas> val) {
        this.origen = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.752F3DCB-B1FD-C2D3-9C17-ADE8EEEF53E6]
    // </editor-fold> 
    public String getRutaImagen () {
        return rutaImagen;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.E6EA64B9-711E-90C3-7C98-BB70D6BE52D1]
    // </editor-fold> 
    public void setRutaImagen (String val) {
        this.rutaImagen = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.BD099225-27ED-1427-BF93-DF75BA837C46]
    // </editor-fold> 
    public String getVersion () {
        return version;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.D3830A47-327F-CC9D-E9E2-8329FEBDAE9A]
    // </editor-fold> 
    public void setVersion (String val) {
        this.version = val;
    }

}

