package modelo;

import java.util.ArrayList; 
import java.util.Date;

// <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
// #[regen=yes,id=DCE.D5D0962A-4E3B-BB00-9DEB-DA67AF21E86F]
// </editor-fold> 
public class MatrizRastreabilidad {

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.838A67BB-4DB5-C825-8627-5E35715F653E]
    // </editor-fold> 
    private String identificacion;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.7E2DA07A-DA9C-F7A4-9B61-D726DD59C929]
    // </editor-fold> 
    private String nombre;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.8B16967F-C435-8B24-C75D-CC4AB50ED02E]
    // </editor-fold> 
    private String version;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.D74DA777-2BCC-4C99-BC7F-3EF1EE157B1E]
    // </editor-fold> 
    private Date fecha;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.C7AE1925-6A51-E663-6B5D-87A8045EAAFD]
    // </editor-fold> 
    private ArrayList<Participante> autores;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.07EB6D53-1989-15DF-AB80-E7260EBC0AE7]
    // </editor-fold> 
    private ArrayList<Participante> fuentes;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.7C11CC2D-2C11-3F08-1F78-93D7700723AD]
    // </editor-fold> 
    private ArrayList<ElementosTrazas> matrizFila;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.46B89F23-8745-74C3-E7BE-DE5FB3C0060D]
    // </editor-fold> 
    private ArrayList<ElementosTrazas> matrizColumna;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.60E75A03-95B8-A0D2-FF0D-5B11A7F86DD8]
    // </editor-fold> 
    private String comentario;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.3E580624-F8B0-DF7C-4E12-841CD33381A5]
    // </editor-fold> 
    public MatrizRastreabilidad () {
        fecha = new Date();
        autores = new ArrayList<Participante>();
        fuentes = new ArrayList<Participante>();
        matrizFila = new ArrayList<ElementosTrazas>();
        matrizColumna = new ArrayList<ElementosTrazas>();
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.3730441E-4FA4-D815-7FF3-BABCF0972CED]
    // </editor-fold> 
    public ArrayList<Participante> getAutores () {
        return autores;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.BA2F6950-FB5C-9794-4B46-691CF1380058]
    // </editor-fold> 
    public void setAutores (ArrayList<Participante> val) {
        this.autores = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.F4BF4EFD-DC07-0796-D9B6-10C0729DA4EB]
    // </editor-fold> 
    public String getComentario () {
        return comentario;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.68E2FD2E-17F6-198B-3CEA-DBE9E5FAC45E]
    // </editor-fold> 
    public void setComentario (String val) {
        this.comentario = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.853A1501-A8C2-315A-9CB7-10A9C7733DA3]
    // </editor-fold> 
    public Date getFecha () {
        return fecha;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.79707087-8F64-53E0-32A5-77399898EDC3]
    // </editor-fold> 
    public void setFecha (Date val) {
        this.fecha = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.6C89EEF9-914F-2230-3F86-6AED81960A71]
    // </editor-fold> 
    public ArrayList<Participante> getFuentes () {
        return fuentes;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.5ABA3428-09A6-E79E-867D-8F5A398BD133]
    // </editor-fold> 
    public void setFuentes (ArrayList<Participante> val) {
        this.fuentes = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.0EA3F3D0-3865-5435-3DA0-6DB53E6D9419]
    // </editor-fold> 
    public String getIdentificacion () {
        return identificacion;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.D0ECDE53-FC66-635A-4E56-66F8645569C8]
    // </editor-fold> 
    public void setIdentificacion (String val) {
        this.identificacion = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.CFE2D263-4766-7460-F578-466888EE6A07]
    // </editor-fold> 
    public ArrayList<ElementosTrazas> getMatrizColumna () {
        return matrizColumna;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.E14EA1FC-5074-51A5-5477-52FC22E3C558]
    // </editor-fold> 
    public void setMatrizColumna (ArrayList<ElementosTrazas> val) {
        this.matrizColumna = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.59E785A6-29DB-ECBF-3B55-24D04F3418C3]
    // </editor-fold> 
    public ArrayList<ElementosTrazas> getMatrizFila () {
        return matrizFila;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.9A23B7A8-9152-9AF0-DA57-CAA56B92477B]
    // </editor-fold> 
    public void setMatrizFila (ArrayList<ElementosTrazas> val) {
        this.matrizFila = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.8CF5E913-A19A-8FA0-983B-F0FA64BCB9B3]
    // </editor-fold> 
    public String getNombre () {
        return nombre;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.5A2C750B-91AF-5721-B57F-5A07AABC89AE]
    // </editor-fold> 
    public void setNombre (String val) {
        this.nombre = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.D9544A0C-F4E5-7796-708E-69B2664D1F92]
    // </editor-fold> 
    public String getVersion () {
        return version;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.3BC43214-3218-5525-BEB1-9D67E98DF3A0]
    // </editor-fold> 
    public void setVersion (String val) {
        this.version = val;
    }

}

