package modelo;

import java.util.ArrayList; 
import java.util.Date;

// <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
// #[regen=yes,id=DCE.6453887A-4ABA-7FF0-FFCC-1674CD0D2F7A]
// </editor-fold> 
public class Objetivo extends ElementosTrazas {

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.F4E2B43B-E026-92D8-7F7E-0482CFCDFAC1]
    // </editor-fold> 
    private String identificacion;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.AE382868-7AF0-32F1-A3C9-6EEA7100BF53]
    // </editor-fold> 
    private String nombre;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.DC792569-6F4B-23EB-497B-E15D1C1A6ECC]
    // </editor-fold> 
    private String version;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.CE8CAACB-A070-EFA9-47CD-53439C8B699C]
    // </editor-fold> 
    private Date fecha;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.F2FAB19B-9536-F883-E151-5C544C4E202C]
    // </editor-fold> 
    private ArrayList<Participante> autores;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.C635DFF6-9E11-C127-FF6C-2489321C0D1B]
    // </editor-fold> 
    private ArrayList<Participante> fuentes;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.54C7FE25-BADD-653A-E54D-1596B7CDC364]
    // </editor-fold> 
    private String texto;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.E9DF61DA-6E65-3178-92F4-55B3B0DA5F68]
    // </editor-fold> 
    private String importancia;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.FADD1F1D-ADA9-D4FB-6FA6-DB8F67AA5EB2]
    // </editor-fold> 
    private String urgencia;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.C72905CD-03C0-AB94-C1F5-F7C8C6CF8AE3]
    // </editor-fold> 
    private String estadoDesarrollo;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.9CA22B36-892D-9D36-8C3E-D0C6EBB638AE]
    // </editor-fold> 
    private String estabilidad;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.7FFB0964-928F-5043-8BDD-2015026AF766]
    // </editor-fold> 
    private ArrayList<ElementosTrazas> destino;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.D8F32CB1-52F3-B0A6-133A-ECD86F7D60D6]
    // </editor-fold> 
    private ArrayList<ElementosTrazas> origen;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.179E5459-A111-B407-0CCA-602AD04C0B0E]
    // </editor-fold> 
    private String comentario;
    
    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.D8F32CB1-52F3-B0A6-133A-ECD86F7D60D6]
    // </editor-fold> 
    private ArrayList<Objetivo> subObjetivos;
    
    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.F06CF560-27C8-B7E4-5D4B-7B7069346E78]
    // </editor-fold> 
    private Boolean esSubObjetivo;
    
    private int nivel;
    

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.FD7C9DFC-8B6F-B4F6-1C26-71EC754294AB]
    // </editor-fold> 
    public Objetivo () {
        fecha = new Date();
        autores = new ArrayList<Participante>();
        fuentes = new ArrayList<Participante>();
        destino = new ArrayList<ElementosTrazas>();
        origen = new ArrayList<ElementosTrazas>();
        subObjetivos = new ArrayList<Objetivo>();
        esSubObjetivo = false;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.D964651A-6EE4-CD89-6932-D53E2EDD8911]
    // </editor-fold> 
    public ArrayList<Participante> getAutores () {
        return autores;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.C6E83DD0-1437-60CF-8E2F-E13D2D535D0F]
    // </editor-fold> 
    public void setAutores (ArrayList<Participante> val) {
        this.autores = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.321DF73A-A9CE-5691-0C88-9CC83523258D]
    // </editor-fold> 
    public String getComentario () {
        return comentario;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.92154FC5-485A-06D8-8495-8C0985E56668]
    // </editor-fold> 
    public void setComentario (String val) {
        this.comentario = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.34BAAC36-9D57-D437-4BFC-23B552D11F53]
    // </editor-fold> 
    public ArrayList<ElementosTrazas> getDestino () {
        return destino;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.667CFF4B-D60D-9D85-28EB-C35C340DF4F9]
    // </editor-fold> 
    public void setDestino (ArrayList<ElementosTrazas> val) {
        this.destino = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.04CE35F6-4A9B-0A70-325D-35B9C610480A]
    // </editor-fold> 
    public String getEstabilidad () {
        return estabilidad;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.4681BD4A-7870-2FB9-833B-2BE02FC90868]
    // </editor-fold> 
    public void setEstabilidad (String val) {
        this.estabilidad = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.51FCF939-7D8B-C1C1-6D77-239F6F158009]
    // </editor-fold> 
    public String getEstadoDesarrollo () {
        return estadoDesarrollo;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.56D485BF-CC1A-FED9-02C1-AB7765340E86]
    // </editor-fold> 
    public void setEstadoDesarrollo (String val) {
        this.estadoDesarrollo = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.8EB3A787-40AD-30C9-AD9B-E9036D373437]
    // </editor-fold> 
    public Date getFecha () {
        return fecha;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.D7F78B61-7751-7F29-0CE1-A094B90505D1]
    // </editor-fold> 
    public void setFecha (Date val) {
        this.fecha = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.2B283FF6-5E9B-7A4C-4D8C-25CABCDD1F47]
    // </editor-fold> 
    public ArrayList<Participante> getFuentes () {
        return fuentes;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.33F29332-65DA-E657-C5D6-3F1C12B444C1]
    // </editor-fold> 
    public void setFuentes (ArrayList<Participante> val) {
        this.fuentes = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.1CB31760-F301-BEAD-4B82-D76526FC010F]
    // </editor-fold> 
    public String getIdentificacion () {
        return identificacion;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.A7807539-5508-FD03-E9FC-4E31D9227250]
    // </editor-fold> 
    public void setIdentificacion (String val) {
        this.identificacion = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.8D9BB130-8763-CD12-CE62-645315BC3840]
    // </editor-fold> 
    public String getImportancia () {
        return importancia;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.65363C78-DD20-C992-CC14-5DF7F9692E9F]
    // </editor-fold> 
    public void setImportancia (String val) {
        this.importancia = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.A73DD40B-E4A6-5AA5-50F6-2B11B627757A]
    // </editor-fold> 
    public String getNombre () {
        return nombre;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.916AF223-B687-FF3F-C9E5-C4FE8182F7F3]
    // </editor-fold> 
    public void setNombre (String val) {
        this.nombre = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.6D5AB3E7-65C6-05F2-9531-A1C4BF4C5588]
    // </editor-fold> 
    public ArrayList<ElementosTrazas> getOrigen () {
        return origen;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.0518CA2D-A41B-B582-D810-52404D2340BF]
    // </editor-fold> 
    public void setOrigen (ArrayList<ElementosTrazas> val) {
        this.origen = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.A9098DD5-ACF3-F2EE-EFD7-93F8963C5E57]
    // </editor-fold> 
    public String getTexto () {
        return texto;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.9E945E1C-2405-1E4F-8CC7-ACDC25F7A221]
    // </editor-fold> 
    public void setTexto (String val) {
        this.texto = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.1B47412D-4353-8466-B82D-9CF8FF019520]
    // </editor-fold> 
    public String getUrgencia () {
        return urgencia;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.D3EDDE4B-6F07-5A5D-ECEF-4040888A54D7]
    // </editor-fold> 
    public void setUrgencia (String val) {
        this.urgencia = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.1902A65D-C289-17C5-2AE6-A8F27D74BFA9]
    // </editor-fold> 
    public String getVersion () {
        return version;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.CC157C7A-BFB2-A53B-D9A5-CE8D591434C6]
    // </editor-fold> 
    public void setVersion (String val) {
        this.version = val;
    }
    
    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.D964651A-6EE4-CD89-6932-D53E2EDD8911]
    // </editor-fold> 
    public ArrayList<Objetivo> getSubObjetivos () {
        return subObjetivos;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.C6E83DD0-1437-60CF-8E2F-E13D2D535D0F]
    // </editor-fold> 
    public void setSubObjetivos (ArrayList<Objetivo> val) {
        this.subObjetivos = val;
    }
    
    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.DAF82BE5-CF6F-8CD2-946B-9A4B6093E0DE]
    // </editor-fold> 
    public Boolean getEsSubObjetivo () {
        return esSubObjetivo;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.036A5FDA-A582-6786-91CE-E7F854D004A5]
    // </editor-fold> 
    public void setEsSubObjetivo (Boolean val) {
        this.esSubObjetivo = val;
    }

    /**
     * @return the nivel
     */
    public int getNivel() {
        return nivel;
    }

    /**
     * @param nivel the nivel to set
     */
    public void setNivel(int nivel) {
        this.nivel = nivel;
    }

}

