package modelo;

import java.util.ArrayList; 
import java.util.Date;

// <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
// #[regen=yes,id=DCE.0C7C9D25-960B-5954-9104-F5FDD9BABB19]
// </editor-fold> 
public class Reunion extends ElementosTrazas {

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.22598E7A-1F76-D18C-3406-E759CEC7045B]
    // </editor-fold> 
    private String identificacion;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.86ACD3DC-FC05-9E03-1995-B65BCCEB22DD]
    // </editor-fold> 
    private String nombre;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.2EEDFB07-75BE-FDBE-DA2B-458FC3880DF8]
    // </editor-fold> 
    private String version;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.DA9590A0-8ED9-D1BB-30FF-1122AC4F9150]
    // </editor-fold> 
    private Date fecha;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.8DD7D661-751B-1887-5026-43A25C2728E0]
    // </editor-fold> 
    private ArrayList<Participante> autores;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.F2D4BD55-6CD1-E301-6EF6-8D016FB89CA9]
    // </editor-fold> 
    private ArrayList<Participante> fuentes;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.9B54EC03-6864-1E09-9511-D33821AFE272]
    // </editor-fold> 
    private String lugar;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.2133BBD0-18D7-3F3E-C27E-A0D09C12D296]
    // </editor-fold> 
    private Date fechaReunion;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker ">
    // #[regen=yes,id=DCE.2133BBD0-18D7-3F3E-C27E-A0D09C12D296]
    // </editor-fold>
    private String hora;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.3B4D313B-E798-0FA5-1266-679162FE6607]
    // </editor-fold> 
    private ArrayList<Participante> asistentes;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.932AA2C4-F551-C34D-B740-23186B93468A]
    // </editor-fold> 
    private String resultados;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.593DFCB2-9D38-A0A9-EF8E-A1FBACD203A6]
    // </editor-fold> 
    private ArrayList<ElementosTrazas> destino;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.8BBFECCF-ED08-8492-F43F-1791D9F0CE48]
    // </editor-fold> 
    private ArrayList<ElementosTrazas> origen;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.AAA724C1-FBE2-EB66-CC89-F25D508F6E48]
    // </editor-fold> 
    private String comentario;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.F773C273-8E2E-BBF4-D73E-AF4C943FC33C]
    // </editor-fold> 
    public Reunion () {
        fecha = new Date();
        autores = new ArrayList<Participante>();
        fuentes = new ArrayList<Participante>();
        destino = new ArrayList<ElementosTrazas>();
        origen = new ArrayList<ElementosTrazas>();
        asistentes = new ArrayList<Participante>();
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.9E08C617-AF0A-4A96-65F8-41A3CA064E70]
    // </editor-fold> 
    public ArrayList<Participante> getAsistentes () {
        return asistentes;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.84760354-8934-1362-5A25-B0085698258B]
    // </editor-fold> 
    public void setAsistentes (ArrayList<Participante> val) {
        this.asistentes = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.7C105EEF-AB98-0EF1-4D9B-33AEA92340A5]
    // </editor-fold> 
    public ArrayList<Participante> getAutores () {
        return autores;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.8F5D4C54-92AF-927E-77AA-77B0EBEE0464]
    // </editor-fold> 
    public void setAutores (ArrayList<Participante> val) {
        this.autores = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.3596D2E0-D3FC-0ECE-A56E-F96CBCFC5968]
    // </editor-fold> 
    public String getComentario () {
        return comentario;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.4369F301-A89E-C28C-E3BE-474E09516909]
    // </editor-fold> 
    public void setComentario (String val) {
        this.comentario = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.F8C83929-8029-C583-2692-D7E4F55E8D1E]
    // </editor-fold> 
    public ArrayList<ElementosTrazas> getDestino () {
        return destino;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.AAA477D7-EB6E-B88D-489E-3C1760B2AD2F]
    // </editor-fold> 
    public void setDestino (ArrayList<ElementosTrazas> val) {
        this.destino = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.AF0BBEF7-C3E4-0D51-44C1-48A68621EBB8]
    // </editor-fold> 
    public Date getFecha () {
        return fecha;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.9B43F4E1-586F-92CB-617E-3427426755A3]
    // </editor-fold> 
    public void setFecha (Date val) {
        this.fecha = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.7B85CDA2-B02A-322A-982C-A99C5FC8690E]
    // </editor-fold> 
    public Date getFechaReunion () {
        return fechaReunion;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.B19EFD68-C84B-D968-89E3-41C41B4950DC]
    // </editor-fold> 
    public void setFechaReunion (Date val) {
        this.fechaReunion = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.7FF7AB0A-2F21-6FC1-7304-90BBDE745DA1]
    // </editor-fold> 
    public ArrayList<Participante> getFuentes () {
        return fuentes;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.1E59E2BF-F08E-63D2-C0B3-F5208A5BC042]
    // </editor-fold> 
    public void setFuentes (ArrayList<Participante> val) {
        this.fuentes = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.5C62067A-12BF-CD9C-07DB-7D71FD2C2FF4]
    // </editor-fold> 
    public String getIdentificacion () {
        return identificacion;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.C913429F-732D-7AAE-90E7-F599833AAF9C]
    // </editor-fold> 
    public void setIdentificacion (String val) {
        this.identificacion = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.AA064936-C86F-1BB9-1A12-1190CD954481]
    // </editor-fold> 
    public String getLugar () {
        return lugar;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.8B81BB73-C2B8-BC6D-AAD2-D1BF94A13E86]
    // </editor-fold> 
    public void setLugar (String val) {
        this.lugar = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.20D1D6ED-2C32-06AD-7C31-F578F7958D8A]
    // </editor-fold> 
    public String getNombre () {
        return nombre;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.5A5F1F3E-9883-5D31-4499-37BCF6EDB5CD]
    // </editor-fold> 
    public void setNombre (String val) {
        this.nombre = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.C294D495-B761-8027-303A-24D5B2AED38C]
    // </editor-fold> 
    public ArrayList<ElementosTrazas> getOrigen () {
        return origen;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.4DFFD1F0-1EED-1A1C-AC61-2ACB5D609306]
    // </editor-fold> 
    public void setOrigen (ArrayList<ElementosTrazas> val) {
        this.origen = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.CD5513DE-F843-7294-27A2-F8E574CC6051]
    // </editor-fold> 
    public String getResultados () {
        return resultados;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.EAADB8D0-A995-7C60-21E1-78E3C5F5114C]
    // </editor-fold> 
    public void setResultados (String val) {
        this.resultados = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.DF0469E4-752B-C687-C18B-D78A419A550B]
    // </editor-fold> 
    public String getVersion () {
        return version;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.30E0A839-D545-4397-E55E-B9FB83865D73]
    // </editor-fold> 
    public void setVersion (String val) {
        this.version = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker ">
    // #[regen=yes,regenBody=yes,id=DCE.3596D2E0-D3FC-0ECE-A56E-F96CBCFC5968]
    // </editor-fold>
    public String getHora () {
        return hora;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker ">
    // #[regen=yes,regenBody=yes,id=DCE.4369F301-A89E-C28C-E3BE-474E09516909]
    // </editor-fold>
    public void setHora (String val) {
        this.hora = val;
    }
}

